package org.javanicus.blog;


import java.awt.*;
import javax.swing.*;

public class BlogButton extends JButton
{

    public BlogButton(String text)
    {
        super(text);
        String path = "org/javanicus/blog/images/";
        setBorderPainted(false);
        setContentAreaFilled(false);
        setHorizontalTextPosition(0);
        setFocusPainted(false);
        java.net.URL url = ClassLoader.getSystemResource(path + getImage(text) + ".gif");
        java.net.URL url1 = ClassLoader.getSystemResource(path + getImage(text) + "_press.gif");
        ImageIcon imageicon = new ImageIcon(url);
        ImageIcon imageicon1 = new ImageIcon(url1);
        setPreferredSize(new Dimension(imageicon.getIconWidth(), imageicon.getIconHeight()));
        setIcon(imageicon);
        setPressedIcon(imageicon1);
    }

    public BlogButton(String text, int i)
    {
        super(text);
        String path = "org/javanicus/blog/images/";
        setBorderPainted(false);
        setContentAreaFilled(false);
        setHorizontalTextPosition(0);
        setFocusPainted(false);
        java.net.URL url = ClassLoader.getSystemResource(path + getImage(i) + ".gif");
        java.net.URL url1 = ClassLoader.getSystemResource(path + getImage(i) + "_press.gif");
        ImageIcon imageicon = new ImageIcon(url);
        ImageIcon imageicon1 = new ImageIcon(url1);
        setPreferredSize(new Dimension(imageicon.getIconWidth(), imageicon.getIconHeight()));
        setIcon(imageicon);
        setPressedIcon(imageicon1);
    }

    private String getImage(String text)
    {
        FontMetrics fontmetrics = getFontMetrics(getFont());
        int i = fontmetrics.stringWidth(text);
        String rv = "button1";
        if(i < 30)
            return rv;
        if(i < 53)
            rv = "button2";
        else
        if(i < 72)
            rv = "button3";
        else
            rv = "button4";
        return rv;
    }

    private String getImage(int i)
    {
        String rv = "button1";
        switch(i)
        {
        case SIZE1: // '\0'
            rv = "button1";
            break;

        case SIZE2: // '\001'
            rv = "button2";
            break;

        case SIZE3: // '\002'
            rv = "button3";
            break;

        case SIZE4: // '\003'
            rv = "button4";
            break;
        }
        return rv;
    }

    public static final int SIZE1 = 0;
    public static final int SIZE2 = 1;
    public static final int SIZE3 = 2;
    public static final int SIZE4 = 3;
}
